Package org.apache.cxf.workqueue

# Class SynchronousExecutor

java.lang.Object
org.apache.cxf.workqueue.SynchronousExecutor

All Implemented Interfaces:
  `Executor`

public final class SynchronousExecutor extends Object implements Executor
Used to mimic Executor semantics by hijacking calling thread. Must be used for Service.getExecutor() return unless a real (i.e. truely asynchronous) Executor is available.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(Runnable command)`
  `static SynchronousExecutor`
  `getInstance()`
  `static boolean`
  `isA(Executor executor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### execute

    public void execute(Runnable command)
    Specified by:
      `execute` in interface `Executor`

  - ### getInstance

    public static SynchronousExecutor getInstance()

  - ### isA

    public static boolean isA(Executor executor)